Summary:	Utility for interfacing with IPMI devices
Name:		ipmitool
Version:	1.8.18
Release:	%mkrel 7
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/ipmitool/ipmitool
Source0:	http://downloads.sourceforge.net/project/ipmitool/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:	openipmi-ipmievd.sysconf
Source2:	ipmievd.service
Patch1:		ipmitool-1.8.11-CVE-2011-4339.diff
Patch2:		101_fix_buf_overflow.patch
Patch3:		ipmitool-1.8.18-fix-build-with-openssl-1.1.patch
Patch4:		CVE-2020-5208.patch
Patch5:		hpmfwupg-gcc-10.patch

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
IPMI stands for Intelligent Platform Management Interface
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators,
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control.

%prep
%autosetup -p1

%build
# --disable-dependency-tracking speeds up the build
# --enable-file-security adds some security checks
# --disable-intf-free disables FreeIPMI support - we don't want to depend on
#   FreeIPMI libraries, FreeIPMI has its own ipmitoool-like utility.

%configure \
    --disable-dependency-tracking \
    --enable-file-security \
    --disable-intf-free
%make_build

%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc/ipmitool
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/ipmievd.service
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ipmievd

%post
%_post_service ipmievd

%preun
%_preun_service ipmievd

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/ipmitool/
%config(noreplace) %{_sysconfdir}/sysconfig/ipmievd
%{_unitdir}/ipmievd.service


%changelog
* Sat Oct 24 2020 akien <akien> 1.8.18-7.mga8
+ Revision: 1639076
- Fix build with GCC 10

* Thu Feb 20 2020 daviddavid <daviddavid> 1.8.18-6.mga8
+ Revision: 1545820
- add/rebase upstream patches to fix CVE-2020-5208 (mga#26218)
- do not mark man pages as doc
- update URL
- switch pid dir from /var/run to /run

* Tue Feb 18 2020 umeabot <umeabot> 1.8.18-5.mga8
+ Revision: 1542178
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.8.18-4.mga8
+ Revision: 1475969
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 1.8.18-3.mga7
+ Revision: 1298309
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 1.8.18-2.mga7
+ Revision: 1189442
- rebuild for new readline

* Mon Sep 11 2017 guillomovitch <guillomovitch> 1.8.18-1.mga7
+ Revision: 1152707
- new version 1.8.18
- fix build with openssl 1.1

* Thu Feb 11 2016 umeabot <umeabot> 1.8.15-2.mga6
+ Revision: 954448
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 philippem <philippem> 1.8.15-1.mga6
+ Revision: 857613
- update to 1.8.15

* Wed Oct 15 2014 umeabot <umeabot> 1.8.14-3.mga5
+ Revision: 742281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.14-2.mga5
+ Revision: 680540
- Mageia 5 Mass Rebuild

* Mon Jun 16 2014 philippem <philippem> 1.8.14-1.mga5
+ Revision: 637634
- update to 1.8.14

* Tue Oct 29 2013 philippem <philippem> 1.8.13-1.mga4
+ Revision: 547876
- imported package ipmitool

